Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012329ScribusStylespublic2014-05-27 10:532014-10-11 14:35
ReporterWaaduu 
Assigned To 
PriorityurgentSeveritymajorReproducibilityunable to reproduce
StatusnewResolutionopen 
Platformx64OSWindowsOS Version7 Enterprise
Product Version1.4.4 
Target VersionFixed in Version 
Summary0012329: some paragraphs do not align to Baseline Grid though they should according to style
DescriptionNote: bug occured in Scribus 1.4.3 (which is not chosable in Mantis)

Up to now the text aligned, as specified in the corresponding style (which I named "Text"), to the baseline grid. Suddenly some paragraphs refuse, while others in the same paragraph style are still aligned correctly. I did not change anything in the style settings, when this occurred, just worked in the text.

To fix the problem I tried to change the paragraph style settings' line spacing mode from "Align to Baseline Grid" to "Fixed Linespacing", which worked for each single paragraph in "Text" style. Changing back to "Align to Baseline Grid" was interesting: first the option disappeared from the drop-down list. The second time "Align to Baseline Grid" was selectable, but when selected the option jumped back to "Fixed Linespacing". Third try was successful, though clicking apply only changed back the paragraphs which already where aligned correctly in the beginning. The others remained in the fixed line spacing I set before.

Several tries followed the same scheme.

Restarting Scribus did not work.

Third idea that came to my mind was changing the style of the wrongly aligned paragraphs from "Text" to another style and back again. This works reproducible but is not feasible for a document containing several hundred paragraphs.

Finally I tried to reboot the whole system - which worked once. Second try failed and the misalignment is persistant now.

The attached file shows the misaligned text on page 68 (printed page number 63) and following.

Steps To ReproduceDid not find out, what caused the misalignment. Though it keeps persistent in the file I'm working at (and even did, before I safed the first time with the misalignment allready existant)
Additional InformationIssue 0004759 might refer to a similar problem
Tagsalignment, baseline, grid, layout, styles
Patch
Attached Filespng file icon Missalignment.PNG [^] (236,953 bytes) 2014-06-10 20:30


? file icon Tagungsband.sla [^] (86,055 bytes) 2014-06-10 20:30

- Relationships

-  Notes
(0031958)
Waaduu (reporter)
2014-05-30 10:34

Still existing in 1.4.4
(0031959)
ale (manager)
2014-05-30 11:16

hi waaduu... i don't know, i tried to have a look at your .sla and reading about what you did but could not really understand where the error is...

can you please create a sample document consisting of only one page and one frame and add a step by step instruction on how to reproduce the bug based on that file? (if a file is needed to reproduce).
(0032032)
Kunda (manager)
2014-06-06 05:11

I agree with ale, this is massively overwhelming document. Is it possible to simplify without losing the bug?
(0032066)
Waaduu (reporter)
2014-06-10 18:22

Hi you two,

Thanks for considering my problem. I hoped you could get a better idea having the complete file available, though I reduced it to one page.

ale, unfortunately I do not know how to reproduce the problem, all I did was working in a textframe, when it occured
(0032071)
ale (manager)
2014-06-10 19:48

waaduu, in the .sla document you have now attached, the text is not set to be aligned to the baseline grid.

if you set the paragraphs to be aligned to the baseline in the properties palette, then it correctly aligns...

so, i see two options:
- this documents does not show your problem
- you're not using the baseline grid as it is meant to be used :-)

ciao
a.l.e
(0032072)
Waaduu (reporter)
2014-06-10 20:32

Hi ale,

as I allready wrote in the description, the paragraphs are formatted in the "Text" style (in the Story Editor), which is set to "align to baselinegrid". Though the paragraphs remaining in the example file are formatted in the same (!) way as others, they don't allign to baselinegrid, whilst the others do. I know the frame settings are not set to align to baselinegrid, though this should on the one hand not be a problem, as it works in other paragraphs. On the other hand the frame also contains paragraphs (the headlines), which shall not be alligned to baselinegrid, so setting the frame to aling to baselinegrid should bec ounterproductive.

In my bug report I wrote about setting paragraphs in the story editor to another style and back to "Text" again, which fixes the problem. I did this in the newly uploaded file. For description see the png.

Thanks
Waaduu
(0032073)
ale (manager)
2014-06-10 21:07

sorry, i don't use the story editor. i can't help you further in the details.

i see where the problem is, but i can't really help you with the details. no idea how it came to this state.

as a workaround, you can select the whole text in the frame and click on the broom on the right of the style name in the properties palette...
... or use the PP to apply the styles...
(0033302)
Kunda (manager)
2014-08-20 14:58

ale, this is a Story Editor issue then?
(0033959)
ale (manager)
2014-10-09 09:11

kunda, i don't know... but he says that he is using it.

we probably need a step by step description to reproduce this.
(0033972)
Waaduu (reporter)
2014-10-11 14:35

Sorry I can't help you guys with the step by step description, as I did not find out yet, what steps caused the bug. It seems to literally appear suddenly.

- Issue History
Date Modified Username Field Change
2014-05-27 10:53 Waaduu New Issue
2014-05-27 10:53 Waaduu File Added: Tagungsband.zip
2014-05-30 10:34 Waaduu Note Added: 0031958
2014-05-30 10:35 Waaduu Tag Attached: #styles
2014-05-30 10:35 Waaduu Tag Attached: alignment
2014-05-30 10:35 Waaduu Tag Attached: baseline
2014-05-30 10:35 Waaduu Tag Attached: grid
2014-05-30 11:16 ale Note Added: 0031959
2014-06-06 05:11 Kunda Note Added: 0032032
2014-06-10 18:07 Waaduu File Deleted: Tagungsband.zip
2014-06-10 18:17 Waaduu File Added: Tagungsband.sla
2014-06-10 18:17 Waaduu File Added: Missalignment.PNG
2014-06-10 18:22 Waaduu Note Added: 0032066
2014-06-10 19:48 ale Note Added: 0032071
2014-06-10 20:30 Waaduu File Deleted: Missalignment.PNG
2014-06-10 20:30 Waaduu File Deleted: Tagungsband.sla
2014-06-10 20:30 Waaduu File Added: Missalignment.PNG
2014-06-10 20:30 Waaduu File Added: Tagungsband.sla
2014-06-10 20:32 Waaduu Note Added: 0032072
2014-06-10 21:07 ale Note Added: 0032073
2014-08-20 14:58 Kunda Note Added: 0033302
2014-10-09 01:23 Kunda Tag Attached: styles
2014-10-09 01:23 Kunda Tag Detached: #styles
2014-10-09 09:11 ale Note Added: 0033959
2014-10-10 18:08 JLuc Tag Attached: layout
2014-10-11 14:35 Waaduu Note Added: 0033972



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker